Bug 1907454 - Install PodConnectivityCheck CRD with CNO
Summary: Install PodConnectivityCheck CRD with CNO
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.7
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.7.0
Assignee: Ricardo Carrillo Cruz
QA Contact: Ross Brattain
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-14 14:45 UTC by Ricardo Carrillo Cruz
Modified: 2021-02-24 15:43 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:43:41 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-network-operator pull 898 0 None closed Bug 1907454: install podnetworkconnectivitycheck crd 2021-01-11 02:20:22 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:43:59 UTC

Description Ricardo Carrillo Cruz 2020-12-14 14:45:09 UTC
Since we are taking ownership of connectivity check controller bits from apiserver team, we need to install the CRD ourselves as that is getting pulled out from cluster kube apiserver operator.

Comment 4 Anurag saxena 2021-01-12 20:01:09 UTC
@rbrattai@redhat.com Can you help verifying it? Thanks

Comment 5 Ross Brattain 2021-01-13 19:51:25 UTC
Verified on 4.7.0-0.nightly-2021-01-13-054018


# oc exec -n openshift-network-operator $(oc get pod -n openshift-network-operator -l name=network-operator -o jsonpath={.items[0].metadata.name}) -- stat manifests/0000_10-pod-network-connectivity-check.crd.yaml
  File: manifests/0000_10-pod-network-connectivity-check.crd.yaml
  Size: 11614           Blocks: 24         IO Block: 4096   regular file
Device: 41h/65d Inode: 322963213   Links: 1
Access: (0644/-rw-r--r--)  Uid: (    0/    root)   Gid: (    0/    root)
Access: 2021-01-12 14:53:07.000000000 +0000
Modify: 2021-01-12 14:53:07.000000000 +0000
Change: 2021-01-13 14:38:01.295027261 +0000
 Birth: -

# oc exec -n openshift-network-operator $(oc get pod -n openshift-network-operator -l name=network-operator -o jsonpath={.items[0].metadata.name}) -- sha256sum manifests/0000_10-pod-network-connectivity-check.crd.yaml
cc86e6adbe0678d1367967e63e01fb351d49b93e44076cae2eb82694da0064c7  manifests/0000_10-pod-network-connectivity-check.crd.yaml

# oc get PodNetworkConnectivityCheck --all-namespaces | sed s/rbrattai-o47g32-46cxv-//g
NAMESPACE                       NAME                                                                                                                        AGE
openshift-network-diagnostics   network-check-source-worker-b-zp26t-to-kubernetes-apiserver-endpoint-master-0   5h
openshift-network-diagnostics   network-check-source-worker-b-zp26t-to-kubernetes-apiserver-endpoint-master-1   4h57m
openshift-network-diagnostics   network-check-source-worker-b-zp26t-to-kubernetes-apiserver-endpoint-master-2   5h
openshift-network-diagnostics   network-check-source-worker-b-zp26t-to-kubernetes-apiserver-service-cluster                           5h
openshift-network-diagnostics   network-check-source-worker-b-zp26t-to-kubernetes-default-service-cluster                             5h
openshift-network-diagnostics   network-check-source-worker-b-zp26t-to-load-balancer-api-external                                     5h
openshift-network-diagnostics   network-check-source-worker-b-zp26t-to-load-balancer-api-internal                                     5h
openshift-network-diagnostics   network-check-source-worker-b-zp26t-to-network-check-target-master-0            5h
openshift-network-diagnostics   network-check-source-worker-b-zp26t-to-network-check-target-master-1            5h
openshift-network-diagnostics   network-check-source-worker-b-zp26t-to-network-check-target-master-2            5h
openshift-network-diagnostics   network-check-source-worker-b-zp26t-to-network-check-target-worker-a-vxtgj      4h58m
openshift-network-diagnostics   network-check-source-worker-b-zp26t-to-network-check-target-worker-b-zp26t      4h58m
openshift-network-diagnostics   network-check-source-worker-b-zp26t-to-network-check-target-worker-c-mkwqq      4h58m
openshift-network-diagnostics   network-check-source-worker-b-zp26t-to-network-check-target-service-cluster                           5h
openshift-network-diagnostics   network-check-source-worker-b-zp26t-to-openshift-apiserver-endpoint-master-0    5h
openshift-network-diagnostics   network-check-source-worker-b-zp26t-to-openshift-apiserver-endpoint-master-1    4h57m
openshift-network-diagnostics   network-check-source-worker-b-zp26t-to-openshift-apiserver-endpoint-master-2    5h
openshift-network-diagnostics   network-check-source-worker-b-zp26t-to-openshift-apiserver-service-cluster

Comment 7 errata-xmlrpc 2021-02-24 15:43:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.